"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../../../../../node_modules/element-plus/es/index.js");
;/* empty css                                                             */
;/* empty css                                                                    */
;/* empty css                                                                         */
;/* empty css                                                                */
;/* empty css                                                                  */
;/* empty css                                                                 */
;/* empty css                                                                       */
;/* empty css                                                                        */
;/* empty css                                                                     */
;/* empty css                                                                 */
const Vue = require("vue");
const common = require("../../utils/common.js");
const eventBus = require("../../utils/eventBus.js");
const FileTypeSelect = require("../../../components/FileTypeSelect.vue.js");
const DocumentParam = require("../../../components/DocumentParam.vue.js");
;/* empty css               */
const _pluginVue_exportHelper = require("../../../../../_virtual/_plugin-vue_export-helper.js");
const index = require("../../../../../node_modules/element-plus/es/components/collapse/index.js");
const index$1 = require("../../../../../node_modules/element-plus/es/components/form/index.js");
const index$2 = require("../../../../../node_modules/element-plus/es/components/input/index.js");
const index$3 = require("../../../../../node_modules/element-plus/es/components/radio/index.js");
const index$4 = require("../../../../../node_modules/element-plus/es/components/switch/index.js");
const _sfc_main = {
  __name: "document",
  setup(__props) {
    const currentItem = Vue.computed(() => {
      return common.getCurrentItem();
    });
    const activeName = Vue.ref(["common"]);
    function handleTitleModeChange(value) {
      const item = currentItem.value;
      const fieldsData = common.getEditConfigData().fieldsData;
      const fieldInData = fieldsData == null ? void 0 : fieldsData.find((f) => {
        var _a;
        return ((_a = f.component) == null ? void 0 : _a.id) === item.id;
      });
      if (fieldInData) {
        fieldInData.h = value === "none" ? 2 : 3;
        eventBus.default.emit("resizeEvent");
      }
    }
    return (_ctx, _cache) => {
      const _component_el_input = index$2.ElInput;
      const _component_el_form_item = index$1.ElFormItem;
      const _component_el_radio_button = index$3.ElRadioButton;
      const _component_el_radio_group = index$3.ElRadioGroup;
      const _component_el_switch = index$4.ElSwitch;
      const _component_el_form = index$1.ElForm;
      const _component_el_collapse_item = index.ElCollapseItem;
      const _component_el_collapse = index.ElCollapse;
      return Vue.openBlock(), Vue.createBlock(_component_el_collapse, {
        class: "setting",
        modelValue: activeName.value,
        "onUpdate:modelValue": _cache[8] || (_cache[8] = ($event) => activeName.value = $event)
      }, {
        default: Vue.withCtx(() => [
          Vue.createVNode(_component_el_collapse_item, {
            name: "common",
            title: "基本属性"
          }, {
            default: Vue.withCtx(() => [
              Vue.createVNode(_component_el_form, {
                "label-position": "top",
                "label-width": "auto",
                model: currentItem.value
              }, {
                default: Vue.withCtx(() => [
                  Vue.createVNode(_component_el_form_item, {
                    label: "标题",
                    required: ""
                  }, {
                    default: Vue.withCtx(() => [
                      Vue.createVNode(_component_el_input, {
                        modelValue: currentItem.value.label,
                        "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => currentItem.value.label = $event)
                      }, null, 8, ["modelValue"])
                    ]),
                    _: 1
                  }),
                  Vue.createVNode(_component_el_form_item, { label: "标题模式" }, {
                    default: Vue.withCtx(() => [
                      Vue.createVNode(_component_el_radio_group, {
                        modelValue: currentItem.value.titleMode,
                        "onUpdate:modelValue": _cache[1] || (_cache[1] = ($event) => currentItem.value.titleMode = $event),
                        size: "small",
                        onChange: handleTitleModeChange
                      }, {
                        default: Vue.withCtx(() => [
                          Vue.createVNode(_component_el_radio_button, { value: "none" }, {
                            default: Vue.withCtx(() => _cache[9] || (_cache[9] = [
                              Vue.createTextVNode("无")
                            ])),
                            _: 1
                          }),
                          Vue.createVNode(_component_el_radio_button, { value: "label" }, {
                            default: Vue.withCtx(() => _cache[10] || (_cache[10] = [
                              Vue.createTextVNode("标题")
                            ])),
                            _: 1
                          }),
                          Vue.createVNode(_component_el_radio_button, { value: "subLabel" }, {
                            default: Vue.withCtx(() => _cache[11] || (_cache[11] = [
                              Vue.createTextVNode("子标题")
                            ])),
                            _: 1
                          })
                        ]),
                        _: 1
                      }, 8, ["modelValue"])
                    ]),
                    _: 1
                  }),
                  currentItem.value.titleMode != "none" ? (Vue.openBlock(), Vue.createElementBlock(Vue.Fragment, { key: 0 }, [
                    currentItem.value.titleMode == "label" ? (Vue.openBlock(), Vue.createBlock(_component_el_form_item, {
                      key: 0,
                      label: "副标题"
                    }, {
                      default: Vue.withCtx(() => [
                        Vue.createVNode(_component_el_input, {
                          modelValue: currentItem.value.subLabel,
                          "onUpdate:modelValue": _cache[2] || (_cache[2] = ($event) => currentItem.value.subLabel = $event),
                          rows: 2,
                          type: "textarea",
                          resize: "none"
                        }, null, 8, ["modelValue"])
                      ]),
                      _: 1
                    })) : Vue.createCommentVNode("", true)
                  ], 64)) : Vue.createCommentVNode("", true),
                  Vue.createVNode(_component_el_form_item, { label: "是否允许补传" }, {
                    default: Vue.withCtx(() => [
                      Vue.createVNode(_component_el_switch, {
                        modelValue: currentItem.value.isSupplement,
                        "onUpdate:modelValue": _cache[3] || (_cache[3] = ($event) => currentItem.value.isSupplement = $event)
                      }, null, 8, ["modelValue"]),
                      _cache[12] || (_cache[12] = Vue.createElementVNode("div", { class: "form-item-hint" }, "只读情况下是否允许补传", -1))
                    ]),
                    _: 1
                  }),
                  Vue.createVNode(_component_el_form_item, { label: "是否允许多文件上传" }, {
                    default: Vue.withCtx(() => [
                      Vue.createVNode(_component_el_switch, {
                        modelValue: currentItem.value.multiple,
                        "onUpdate:modelValue": _cache[4] || (_cache[4] = ($event) => currentItem.value.multiple = $event)
                      }, null, 8, ["modelValue"])
                    ]),
                    _: 1
                  }),
                  Vue.createVNode(_component_el_form_item, { label: "是否允许下载" }, {
                    default: Vue.withCtx(() => [
                      Vue.createVNode(_component_el_switch, {
                        modelValue: currentItem.value.download,
                        "onUpdate:modelValue": _cache[5] || (_cache[5] = ($event) => currentItem.value.download = $event)
                      }, null, 8, ["modelValue"])
                    ]),
                    _: 1
                  }),
                  Vue.createVNode(_component_el_form_item, { label: "允许上传的文件类型" }, {
                    default: Vue.withCtx(() => [
                      Vue.createVNode(FileTypeSelect.default, {
                        modelValue: currentItem.value.acceptType,
                        "onUpdate:modelValue": _cache[6] || (_cache[6] = ($event) => currentItem.value.acceptType = $event)
                      }, null, 8, ["modelValue"])
                    ]),
                    _: 1
                  }),
                  Vue.createVNode(_component_el_form_item, { label: "要件参数" }, {
                    default: Vue.withCtx(() => [
                      Vue.createVNode(DocumentParam.default, {
                        modelValue: currentItem.value.essentialParams,
                        "onUpdate:modelValue": _cache[7] || (_cache[7] = ($event) => currentItem.value.essentialParams = $event)
                      }, null, 8, ["modelValue"])
                    ]),
                    _: 1
                  })
                ]),
                _: 1
              }, 8, ["model"])
            ]),
            _: 1
          })
        ]),
        _: 1
      }, 8, ["modelValue"]);
    };
  }
};
const document = /* @__PURE__ */ _pluginVue_exportHelper.default(_sfc_main, [["__scopeId", "data-v-ca84a82c"]]);
exports.default = document;
